Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(231)

Unified Diff: dev-libs/libpcre/libpcre-8.12.ebuild

Issue 6793049: dev-libs/libpcre: import 8.12 version from main tree. (Closed) Base URL: http://git.chromium.org/git/portage-stable.git@master
Patch Set: Created 9 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: dev-libs/libpcre/libpcre-8.12.ebuild
diff --git a/dev-libs/libpcre/libpcre-8.12.ebuild b/dev-libs/libpcre/libpcre-8.12.ebuild
new file mode 100644
index 0000000000000000000000000000000000000000..70982886597f8911507cf98b2b9d869fcc27b0db
--- /dev/null
+++ b/dev-libs/libpcre/libpcre-8.12.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libpcre/libpcre-8.12.ebuild,v 1.6 2011/04/05 05:16:42 maekke Exp $
+
+EAPI=2
+
+inherit libtool eutils toolchain-funcs
+
+DESCRIPTION="Perl-compatible regular expression library"
+HOMEPAGE="http://www.pcre.org/"
+if [[ ${PV} == ${PV/_rc} ]]
+then
+ MY_P="pcre-${PV}"
+ # Only the final releases are available here.
+ SRC_URI="mirror://sourceforge/pcre/${MY_P}.tar.bz2
+ ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/${MY_P}.tar.bz2"
+else
+ MY_P="pcre-${PV/_rc/-RC}"
+ SRC_URI="ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/Testing/${MY_P}.tar.bz2"
+fi
+LICENSE="BSD"
+SLOT="3"
+KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd"
+IUSE="bzip2 +cxx unicode zlib static-libs +recursion-limit"
+
+RDEPEND="bzip2? ( app-arch/bzip2 )
+ zlib? ( sys-libs/zlib )"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig
+ userland_GNU? ( >=sys-apps/findutils-4.4.0 )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ sed -i -e "s:-lpcre ::" libpcrecpp.pc.in || die "Fixing libpcrecpp pkgconfig files failed"
+ elibtoolize
+}
+
+src_configure() {
+ econf --with-match-limit-recursion=$(use recursion-limit && echo 8192 || echo MATCH_LIMIT) \
+ $(use_enable unicode utf8) $(use_enable unicode unicode-properties) \
+ $(use_enable cxx cpp) \
+ $(use_enable zlib pcregrep-libz) \
+ $(use_enable bzip2 pcregrep-libbz2) \
+ $(use_enable static-libs static) \
+ --enable-shared \
+ --htmldir=/usr/share/doc/${PF}/html \
+ --docdir=/usr/share/doc/${PF} \
+ || die "econf failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "make install failed"
+ gen_usr_ldscript -a pcre
+ find "${D}" -type f -name '*.la' -exec rm -rf '{}' '+' || die "la removal failed"
+}
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698